Memory
Prepare the memory search full-text index
POST /v1/memory/namespaces/prepare-full-text · SDK prepareMemoryNamespaceFullText · CLI deployments memory namespace-prepare
POST
Requires memory:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500MemoryObjectResponse
application/json- response
curl -X POST "https://example.com/v1/memory/namespaces/prepare-full-text"{}